package com.zivilon.cinder_loe.mixins;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import org.spongepowered.asm.mixin.Shadow;

import lotr.common.entity.npc.LOTREntityNPC;
import lotr.common.entity.npc.LOTREntitySauron;

import net.minecraft.world.World;

@Mixin(LOTREntitySauron.class)
public abstract class MixinLOTREntitySauron extends LOTREntityNPC {
    MixinLOTREntitySauron(World world) {
        super(world);
    }

    public void setupNPCName() {
      this.familyInfo.setName("Sauron");
    }
}
